import request from '@/utils/request'

// 查询任务处理记录列表
export function listTaskRecard(query) {
  return request({
    url: '/szxc/taskRecard/list',
    method: 'get',
    params: query
  })
}

// 查询任务处理记录详细
export function getTaskRecard(id) {
  return request({
    url: '/szxc/taskRecard/' + id,
    method: 'get'
  })
}

// 新增任务处理记录
export function addTaskRecard(data) {
  return request({
    url: '/szxc/taskRecard',
    method: 'post',
    data: data
  })
}

// 修改任务处理记录
export function updateTaskRecard(data) {
  return request({
    url: '/szxc/taskRecard',
    method: 'put',
    data: data
  })
}

// 删除任务处理记录
export function delTaskRecard(id) {
  return request({
    url: '/szxc/taskRecard/' + id,
    method: 'delete'
  })
}
